Page MenuHomePhabricator

[Bug] internal error on Special:ConstraintReport
Closed, ResolvedPublic

Description

https://www.wikidata.org/wiki/Special:ConstraintReport/Q66 is throwing an internal error: [WKROxApAAD4AAiJ2gqwAAACJ] 2017-02-15 12:51:17: Fatal exception of type "InvalidArgumentException"

Other items (like Q5) work fine.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 15 2017, 1:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
aude added a comment.EditedFeb 16 2017, 3:34 AM
2017-02-16 03:34:33 [WKUdyQpAME8AABRbSNIAAABF] mw1244 wikidatawiki 1.29.0-wmf.11 exception ERROR: [WKUdyQpAME8AABRbSNIAAABF] /wiki/Special:ConstraintReport/Q66   InvalidArgumentException from line 26 of /srv/mediawiki/php-1.29.0-wmf.11/extensions/Wikidata/extensions/Constraints/includes/ConstraintCheck/Helper/RangeCheckerHelper.php: Unsupported data value type {"exception_id":"WKUdyQpAME8AABRbSNIAAABF","caught_by":"mwe_handler"} 
[Exception InvalidArgumentException] (/srv/mediawiki/php-1.29.0-wmf.11/extensions/Wikidata/extensions/Constraints/includes/ConstraintCheck/Helper/RangeCheckerHelper.php:26) Unsupported data value type
  #0 /srv/mediawiki/php-1.29.0-wmf.11/extensions/Wikidata/extensions/Constraints/includes/ConstraintCheck/Checker/RangeChecker.php(101): WikibaseQuality\ConstraintReport\ConstraintCheck\Helper\RangeCheckerHelper->getComparativeValue(DataValues\UnboundedQuantityValue)
  #1 /srv/mediawiki/php-1.29.0-wmf.11/extensions/Wikidata/extensions/Constraints/includes/ConstraintCheck/DelegatingConstraintChecker.php(145): WikibaseQuality\ConstraintReport\ConstraintCheck\Checker\RangeChecker->checkConstraint(Wikibase\DataModel\Statement\Statement, WikibaseQuality\ConstraintReport\Constraint, Wikibase\DataModel\Entity\Item)
  #2 /srv/mediawiki/php-1.29.0-wmf.11/extensions/Wikidata/extensions/Constraints/includes/ConstraintCheck/DelegatingConstraintChecker.php(128): WikibaseQuality\ConstraintReport\ConstraintCheck\DelegatingConstraintChecker->getCheckResultFor(Wikibase\DataModel\Statement\Statement, WikibaseQuality\ConstraintReport\Constraint, Wikibase\DataModel\Entity\Item)
  #3 /srv/mediawiki/php-1.29.0-wmf.11/extensions/Wikidata/extensions/Constraints/includes/ConstraintCheck/DelegatingConstraintChecker.php(104): WikibaseQuality\ConstraintReport\ConstraintCheck\DelegatingConstraintChecker->checkConstraintsForStatementOnEntity(array, Wikibase\DataModel\Entity\Item, Wikibase\DataModel\Statement\Statement)
  #4 /srv/mediawiki/php-1.29.0-wmf.11/extensions/Wikidata/extensions/Constraints/includes/ConstraintCheck/DelegatingConstraintChecker.php(76): WikibaseQuality\ConstraintReport\ConstraintCheck\DelegatingConstraintChecker->checkEveryStatement(Wikibase\DataModel\Entity\Item)
  #5 /srv/mediawiki/php-1.29.0-wmf.11/extensions/Wikidata/extensions/Constraints/specials/SpecialConstraintReport.php(327): WikibaseQuality\ConstraintReport\ConstraintCheck\DelegatingConstraintChecker->checkAgainstConstraints(Wikibase\DataModel\Entity\Item)
  #6 /srv/mediawiki/php-1.29.0-wmf.11/extensions/Wikidata/extensions/Constraints/specials/SpecialConstraintReport.php(235): WikibaseQuality\ConstraintReport\Specials\SpecialConstraintReport->executeCheck(Wikibase\DataModel\Entity\Item)
  #7 /srv/mediawiki/php-1.29.0-wmf.11/includes/specialpage/SpecialPage.php(522): WikibaseQuality\ConstraintReport\Specials\SpecialConstraintReport->execute(string)
  #8 /srv/mediawiki/php-1.29.0-wmf.11/includes/specialpage/SpecialPageFactory.php(577): SpecialPage->run(string)
  #9 /srv/mediawiki/php-1.29.0-wmf.11/includes/MediaWiki.php(285): SpecialPageFactory::executePath(Title, RequestContext)
  #10 /srv/mediawiki/php-1.29.0-wmf.11/includes/MediaWiki.php(860): MediaWiki->performRequest()
  #11 /srv/mediawiki/php-1.29.0-wmf.11/includes/MediaWiki.php(521): MediaWiki->main()
  #12 /srv/mediawiki/php-1.29.0-wmf.11/index.php(43): MediaWiki->run()
  #13 /srv/mediawiki/w/index.php(3): include(string)
aude added a comment.Feb 16 2017, 4:01 AM

problem is handling of the employees property / snak, with the quantity value:

"P1128": [
{
"mainsnak": {
"snaktype": "value",
"property": "P1128",
"datavalue": {
"value": {
"amount": "+158750",
"unit": "1"
},
"type": "quantity"
},
"datatype": "quantity"
},

Change 338055 had a related patch set uploaded (by Aude):
Support UnboundedQuantityValue for range constraint checks

https://gerrit.wikimedia.org/r/338055

aude claimed this task.Feb 16 2017, 6:31 AM

Change 338055 merged by jenkins-bot:
Support UnboundedQuantityValue for range constraint checks

https://gerrit.wikimedia.org/r/338055

hoo closed this task as Resolved.Feb 16 2017, 7:48 AM
hoo removed a project: Patch-For-Review.
thiemowmde triaged this task as Low priority.Feb 16 2017, 10:36 AM
thiemowmde raised the priority of this task from Low to High.
thiemowmde moved this task from incoming to in progress on the Wikidata board.
thiemowmde moved this task from Proposed to Done on the Wikidata-Former-Sprint-Board board.
mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:10 PM